# collada.scene.NodeNode

class `collada.scene.``NodeNode`(node, xmlnode=None)

  Bases: `collada.scene.Node`

  Represents a node being instantiated in a scene, as defined in the collada <instande_node> tag.

  `__init__`(node, xmlnode=None)

    Creates a node node

    Parameters:

    - node (collada.scene.Node) – A node to instantiate in the scene
    - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(id[, children, transforms, xmlnode]) | Create a node in the scene graph.
  `load`(collada, node, localscope) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Saves the geometry back to `xmlnode`.

  `node` = None

    An object of type `collada.scene.Node` representing the node to bind in the scene

  `xmlnode` = None

    ElementTree representation of the node node.

  `objects`(tipo, matrix=None)

    Iterate through all objects under this node that match tipo. The objects will be bound and transformed via the scene transformations.

    Parameters:

    - tipo (str) – A string for the desired object type. This can be one of ‘geometry’, ‘camera’, ‘light’, or ‘controller’.
    - matrix (numpy.matrix) – An optional transformation matrix

    Return type: | generator that yields the type specified

  static `load`(collada, node, localscope)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Saves the node node back to `xmlnode`